Name:      rosa-freeze
Version:   0.7.5
Release:   1
Group:     System/Base
Summary:   ROSA Freeze
License:   BSD
Url:       http://wiki.rosalab.ru/en/index.php/ROSA_Freeze
Source0:   https://abf.io/soft/%{name}/archive/%{name}-%{version}.tar.gz
Source1:   %{name}.rpmlintrc
BuildArch: noarch
Requires:  dracut-aufs
Requires:  rsync
Requires:  python-%{name} = %{EVRD}

%description
ROSA Freeze

%package -n     python-%{name}
Summary:        Python API for ROSA Freeze
Group:          System/Base

%description -n python-%{name}
Python-%{name} is a module with Python API to
manipulate ROSA Freeze features.

%prep
%setup -q

%build
pushd po
%make
popd

%install
install -m700 -D rfreeze %{buildroot}%{_sbindir}/rfreeze
mkdir -p %{buildroot}%{py_puresitedir}
cp -r rosa_freeze %{buildroot}%{py_puresitedir}
pushd po
%makeinstall_std
popd

mkdir -p %{buildroot}%{_bindir}
ln -sf %{_bindir}/consolehelper %{buildroot}%{_bindir}/rfreeze

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps

cat > %{buildroot}%{_sysconfdir}/security/console.apps/rfreeze <<EOF
USER=root
PROGRAM=/usr/sbin/rfreeze
FALLBACK=false
SESSION=true
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/rfreeze  <<EOF
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF


%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/pam.d/*
%{_sysconfdir}/security/console.apps/rfreeze

%files -n python-%{name}
%{py_puresitedir}/*

%changelog
* Thu Feb 26 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.7.5-1
+ Revision: 8c6388e
- 0.7.5 - not forget to import subprocess module


